--- chrome/test/testing_profile.cc
+++ chrome/test/testing_profile.cc
@@ -12,7 +12,7 @@
 #include "chrome/common/chrome_constants.h"
 #include "webkit/database/database_tracker.h"
 
-#if defined(OS_LINUX) && !defined(TOOLKIT_VIEWS)
+#if defined(USE_X11) && !defined(TOOLKIT_VIEWS)
 #include "chrome/browser/gtk/gtk_theme_provider.h"
 #endif
 
@@ -191,7 +191,7 @@ webkit_database::DatabaseTracker* TestingProfile::GetDatabaseTracker() {
 
 void TestingProfile::InitThemes() {
   if (!created_theme_provider_) {
-#if defined(OS_LINUX) && !defined(TOOLKIT_VIEWS)
+#if defined(USE_X11) && !defined(TOOLKIT_VIEWS)
     theme_provider_.reset(new GtkThemeProvider);
 #else
     theme_provider_.reset(new BrowserThemeProvider);
diff --git chrome/test/ui/history_uitest.cc chrome/test/ui/history_uitest.cc
index 3a65d4f..b0f9a1c 100644
